com.microfocus.awm.model.toolexecution

## Interface IValidationMessage

- All Known Implementing Classes:
    ValidateMessage

      public interface IValidationMessage

  Validate Messages are created by tools to validate the input fields giving by the user. The user will be informed if an input field value is not valid.

  Tools defined in a validate action can return specific validate messages that are interpreted by AWM. Validation messages can optionally be targeted at specific properties or dialog fields, while dialog fields must be targeted based on their position (sequence number).

  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMsgText()` Gets the that will be shown in the dialog.
    `java.util.List<java.lang.Integer>` | `getPositions()` Gets the positions of the dialog fields to which the validate message refers.
    `Property` | `getProperty()` Gets the property to which the validation message is referring to.
    `char` | `getSeverity()` Gets the severity of a validate message.

- - ### Method Detail

    - #### getMsgText

          java.lang.String getMsgText()

      Gets the that will be shown in the dialog.
      Returns:
        the text of a validate message

    - #### getSeverity

          char getSeverity()

      Gets the severity of a validate message.
      Returns:
        the severity of a validate message

    - #### getPositions

          java.util.List<java.lang.Integer> getPositions()

      Gets the positions of the dialog fields to which the validate message refers. Can be empty, if the validate message is not position based.
      Returns:
        the positions of the dialog fields. Can be empty.

    - #### getProperty

          Property getProperty()

      Gets the property to which the validation message is referring to. Can be `null`.
      Returns:
        the target property or `null`

Copyright © 2015 Micro Focus GmbH. All rights reserved.